package BSS.Simulator;

import BSS.Logger;

import java.util.Date;
import java.text.SimpleDateFormat;
import java.io.PrintStream;

public class SimpleLogger implements Logger
{
    int _debug_level;
    SimpleDateFormat _df;
    PrintStream _out;

    public SimpleLogger(int debug_level, String date_format, PrintStream o_stream)
    {
        _debug_level = debug_level;
        _df = new SimpleDateFormat(date_format);
        _out = o_stream;
    }

    public void start_log() {}

    public void end_log() {}

    public void log(int level, String message)
    {
        if (level <= _debug_level)
        {
            _out.println(_df.format(new Date()) + " [" + level + "] " + message);
        }
    }
}
