package BSS;

public class Message
{
    public int dst_id;
    public int src_id;
    public int code;
    public int data;

    public Message(int from_id, int to_id, int event)
    {
        this.dst_id = from_id;
        this.src_id = to_id;
        this.code = event;
        this.data = 0;
    }

    public Message(int from_id, int to_id, int event, int data)
    {
        this.dst_id = from_id;
        this.src_id = to_id;
        this.code = event;
        this.data = data;
    }

    public String toString()
    {
        return "Message from `" + src_id + "` to `" + dst_id + "` with code=" + code + " and data=" + data;
    }
}
